Filter
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Filter

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Filter

    public class Filter

extends DataModel

Constructor Summary
`Filter(FilterType type, Field f)`
`Filter(org.gcube.application.aquamaps.datamodel.Filter toLoad)`

Method Summary
`Field` | `getField()`
`FilterType` | `getType()`
`static java.util.List<Filter>` | `load(org.gcube.application.aquamaps.datamodel.FilterArray toLoad)`
`void` | `setField(Field field)`
`void` | `setType(FilterType type)`
`java.lang.String` | `toSQLString()`
`org.gcube.application.aquamaps.datamodel.Filter` | `toStubsVersion()`
`static org.gcube.application.aquamaps.datamodel.FilterArray` | `toStubsVersion(java.util.List<Filter> toConvert)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter(FilterType type,
                  Field f)

### Filter

    public Filter(org.gcube.application.aquamaps.datamodel.Filter toLoad)

Method Detail

### getType

    public FilterType getType()

### setType

    public void setType(FilterType type)

### setField

    public void setField(Field field)

### getField

    public Field getField()

### load

    public static java.util.List<Filter> load(org.gcube.application.aquamaps.datamodel.FilterArray toLoad)

### toStubsVersion

    public static org.gcube.application.aquamaps.datamodel.FilterArray toStubsVersion(java.util.List<Filter> toConvert)

### toStubsVersion

    public org.gcube.application.aquamaps.datamodel.Filter toStubsVersion()

### toSQLString

    public java.lang.String toSQLString()
                                 throws org.apache.commons.cli2.validation.InvalidArgumentException

  Throws:
    `org.apache.commons.cli2.validation.InvalidArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD